import { jsx as I } from "react/jsx-runtime";
import { useContext as F } from "react";
import { FLEXGRID_ITEM_CLASSNAME as g, FLEXGRID_GAP_RATIO as u } from "../../chunks/constants.Gcd2KXZh.js";
import { FlexgridContext as G } from "../../chunks/FlexgridContext.W67Qim_P.js";
import m from "clsx";
const i = (l, s) => m({
  "basis-1/12": l === 1 && !s,
  "sm:basis-1/12": l === 1 && s === "sm",
  "md:basis-1/12": l === 1 && s === "md",
  "lg:basis-1/12": l === 1 && s === "lg",
  "xl:basis-1/12": l === 1 && s === "xl",
  "2xl:basis-1/12": l === 1 && s === "2xl",
  "basis-2/12": l === 2 && !s,
  "sm:basis-2/12": l === 2 && s === "sm",
  "md:basis-2/12": l === 2 && s === "md",
  "lg:basis-2/12": l === 2 && s === "lg",
  "xl:basis-2/12": l === 2 && s === "xl",
  "2xl:basis-2/12": l === 2 && s === "2xl",
  "basis-3/12": l === 3 && !s,
  "sm:basis-3/12": l === 3 && s === "sm",
  "md:basis-3/12": l === 3 && s === "md",
  "lg:basis-3/12": l === 3 && s === "lg",
  "xl:basis-3/12": l === 3 && s === "xl",
  "2xl:basis-3/12": l === 3 && s === "2xl",
  "basis-4/12": l === 4 && !s,
  "sm:basis-4/12": l === 4 && s === "sm",
  "md:basis-4/12": l === 4 && s === "md",
  "lg:basis-4/12": l === 4 && s === "lg",
  "xl:basis-4/12": l === 4 && s === "xl",
  "2xl:basis-4/12": l === 4 && s === "2xl",
  "basis-5/12": l === 5 && !s,
  "sm:basis-5/12": l === 5 && s === "sm",
  "md:basis-5/12": l === 5 && s === "md",
  "lg:basis-5/12": l === 5 && s === "lg",
  "xl:basis-5/12": l === 5 && s === "xl",
  "2xl:basis-5/12": l === 5 && s === "2xl",
  "basis-6/12": l === 6 && !s,
  "sm:basis-6/12": l === 6 && s === "sm",
  "md:basis-6/12": l === 6 && s === "md",
  "lg:basis-6/12": l === 6 && s === "lg",
  "xl:basis-6/12": l === 6 && s === "xl",
  "2xl:basis-6/12": l === 6 && s === "2xl",
  "basis-7/12": l === 7 && !s,
  "sm:basis-7/12": l === 7 && s === "sm",
  "md:basis-7/12": l === 7 && s === "md",
  "lg:basis-7/12": l === 7 && s === "lg",
  "xl:basis-7/12": l === 7 && s === "xl",
  "2xl:basis-7/12": l === 7 && s === "2xl",
  "basis-8/12": l === 8 && !s,
  "sm:basis-8/12": l === 8 && s === "sm",
  "md:basis-8/12": l === 8 && s === "md",
  "lg:basis-8/12": l === 8 && s === "lg",
  "xl:basis-8/12": l === 8 && s === "xl",
  "2xl:basis-8/12": l === 8 && s === "2xl",
  "basis-9/12": l === 9 && !s,
  "sm:basis-9/12": l === 9 && s === "sm",
  "md:basis-9/12": l === 9 && s === "md",
  "lg:basis-9/12": l === 9 && s === "lg",
  "xl:basis-9/12": l === 9 && s === "xl",
  "2xl:basis-9/12": l === 9 && s === "2xl",
  "basis-10/12": l === 10 && !s,
  "sm:basis-10/12": l === 10 && s === "sm",
  "md:basis-10/12": l === 10 && s === "md",
  "lg:basis-10/12": l === 10 && s === "lg",
  "xl:basis-10/12": l === 10 && s === "xl",
  "2xl:basis-10/12": l === 10 && s === "2xl",
  "basis-11/12": l === 11 && !s,
  "sm:basis-11/12": l === 11 && s === "sm",
  "md:basis-11/12": l === 11 && s === "md",
  "lg:basis-11/12": l === 11 && s === "lg",
  "xl:basis-11/12": l === 11 && s === "xl",
  "2xl:basis-11/12": l === 11 && s === "2xl",
  "basis-full": l === 12 && !s,
  "sm:basis-full": l === 12 && s === "sm",
  "md:basis-full": l === 12 && s === "md",
  "lg:basis-full": l === 12 && s === "lg",
  "xl:basis-full": l === 12 && s === "xl",
  "2xl:basis-full": l === 12 && s === "2xl"
}), w = ({
  className: l,
  span: s
}) => {
  if (!s)
    return m(l, g, "box-border basis-auto");
  if (typeof s == "number")
    return m(l, g, "box-border max-w-full", {
      [`${i(s)}`]: !0
    });
  if (typeof s == "string")
    return m(l, g, "box-border basis-auto", {
      "max-w-full grow": s === "auto"
    });
  if (typeof s == "object") {
    const f = Object.entries(s).map(([x, d]) => x === "fallback" ? i(d) : i(d, x));
    return m(
      l,
      g,
      "box-border",
      f
    );
  }
}, j = ({
  children: l,
  className: s,
  span: f,
  ...x
}) => {
  const { columnGap: d, rowGap: b } = F(G), c = {
    paddingLeft: d * u + "rem",
    paddingTop: b * u + "rem"
  }, C = w({
    className: s,
    span: f
  });
  return /* @__PURE__ */ I("div", { className: C, style: c, ...x, children: l });
};
export {
  j as FlexgridItem
};
